# QBitVal Class Reference

The QBitVal class is an internal class, used with QBitArray. More...

`#include <qbitarray.h>`

List of all member functions.

## Public Members

- QBitVal ( QBitArray * a, uint i )
- operator int ()
- QBitVal& operator= ( const QBitVal & v )
- QBitVal& operator= ( int v )

## Detailed Description

The QBitVal class is an internal class, used with QBitArray.

The QBitVal is required by the indexing [] operator on bit arrays. It is probably a bad idea to use it in any other context.

## Member Function Documentation

### QBitVal::QBitVal ( QBitArray * a, uint i )

Constructs a reference to an element in a QBitArray. This is what QBitArray::operator[] contructs its return value with.

### QBitVal::operator int ()

Returns the value referenced by the QBitVal.

### QBitVal& QBitVal::operator= ( const QBitVal & v )

Sets the value referenced by the QBitVal to that referenced by another QBitVal.

### QBitVal& QBitVal::operator= ( int v )

Sets the value referenced by the QBitVal.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qbitarray.h: 1998/08/25
- qbitarray.cpp: 1998/10/19